curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=PHL" \
-F "services=phl_residential" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="PHL",
services=["phl_residential"],
consent=True,
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "PHL",
services: ["phl_residential"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "PHL",
Services: didit.Some([]string{"phl_residential"}),
Consent: didit.Bool(true),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("PHL")
.services(List.of("phl_residential"))
.consent(true)
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'PHL',
'services' => ['phl_residential'],
'consent' => true,
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "PHL",
services: ["phl_residential"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "PHL",
Services = new string[] { "phl_residential" },
Consent = true,
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "PHL",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "phl_residential",
"service_name": "Philippines Residential",
"source_data": {
"date_of_birth": "1990-01-01",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "PHL",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "phl_residential",
"service_name": "Philippines Residential",
"source_data": {
"date_of_birth": "1990-01-01",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": false
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "PHL",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "phl_residential",
"service_name": "Philippines Residential",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match"
}
}
]
}
Datenbankvalidierung
Datenbankvalidierung Philippinen: Residential ID-Match
Philippinen Residential: Datenbankvalidierung über Didits Identitätsinfrastruktur. Pro Aufruf ab $0.59, ohne Verträge oder Mindestabnahme.
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=PHL" \
-F "services=phl_residential" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="PHL",
services=["phl_residential"],
consent=True,
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "PHL",
services: ["phl_residential"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "PHL",
Services: didit.Some([]string{"phl_residential"}),
Consent: didit.Bool(true),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("PHL")
.services(List.of("phl_residential"))
.consent(true)
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'PHL',
'services' => ['phl_residential'],
'consent' => true,
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "PHL",
services: ["phl_residential"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "PHL",
Services = new string[] { "phl_residential" },
Consent = true,
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "PHL",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "phl_residential",
"service_name": "Philippines Residential",
"source_data": {
"date_of_birth": "1990-01-01",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "PHL",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "phl_residential",
"service_name": "Philippines Residential",
"source_data": {
"date_of_birth": "1990-01-01",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": false
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "PHL",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "phl_residential",
"service_name": "Philippines Residential",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match"
}
}
]
}
Prüft Eingabedaten gegen eine Behördendatenbank mit Daten philippinischer Staatsbürger. Didit stellt diesen Dienst über
POST /v3/database-validation/ bereit, damit Sie die übermittelten Daten mit der maßgeblichen Quelle abgleichen und normalisierte Übereinstimmungsergebnisse erhalten können.
Abdeckung
- Abdeckung: > 80%
- Land: Philippinen
- Service-ID:
phl_residential - Datenbereich: Adresse
- Kategorie: Wohnsitz
Eingaben
| Feld | Pflichtfeld | Beispiel |
|---|---|---|
first_name | Ja | John |
last_name | Ja | Doe |
date_of_birth | Ja | 1990-01-01 |
address.street_1 | Nein | 123 Sample Street |
address.street_2 | Nein | Unit 4 |
address.city | Nein | Sample City |
address.region | Nein | Sample State |
address.postal_code | Nein | 10001 |
vendor_data | Nein | user-1234 |
- Pflichteingaben:
first_name,last_name,date_of_birth - Optionale Eingaben:
address.street_1,address.street_2,address.city,address.region,address.postal_code,vendor_data - Einwilligung: Erforderlich
- Verfügbarkeit im Workflow: Im Workflow verfügbar
- Abdeckung: > 80%
- Preis: $0.59 pro erfolgreiche Abfrage
Body-Parameter
string
Standard:"PHL"
erforderlich
ISO-3166-1-Alpha-3-Ländercode für diesen Datenbankdienst.Beispiel:
PHLstring
Standard:"phl_residential"
erforderlich
Array mit der Service-ID dieses Dienstes. Durch die Festlegung des Dienstes bleibt die Anfrage auf genau diese Datenbank beschränkt.Beispiel:
phl_residentialboolean
Standard:"true"
erforderlich
Ausdrückliche Einwilligung des Endbenutzers für diesen Dienst.Beispiel:
truestring
Standard:"John"
erforderlich
Zu prüfender Vorname.Beispiel:
Johnstring
Standard:"Doe"
erforderlich
Zu prüfender Nachname.Beispiel:
Doestring
Standard:"1990-01-01"
erforderlich
Geburtsdatum im Format
YYYY-MM-DD.Beispiel: 1990-01-01object
Strukturiertes Adressobjekt für den Wohnsitz. Verwenden Sie
street_1, street_2, city, region, postal_code und country. Eine vollständige Legacy-Adresse als einzelne Zeichenkette wird weiterhin akzeptiert, ist aber nicht empfohlen.Beispiel: {"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}string
Standard:"user-1234"
Ihre stabile Benutzerreferenz für diese Person, etwa Ihre interne Benutzer-ID. Didit verwendet sie, um eigenständige Prüfungen demselben Endbenutzer zuzuordnen und Fehlalarme bei der Duplikatserkennung zu reduzieren.Beispiel:
user-1234Regeln für Eingaben und Validierungshinweise
addressist für diesen Dienst optional. Sie können eine vollständigeaddress-Zeichenkette senden, und Didit zerlegt sie nach Möglichkeit in strukturierte Adressbestandteile. Alternativ können Sie die strukturierten Felder explizit senden.- Senden Sie für Adressdienste nach Möglichkeit strukturierte Adressfelder statt einer einzelnen
address-Zeichenkette. address.street_1ist die Straßenadresse einschließlich Hausnummer und Straßentyp.address.street_2ist die Angabe zu Wohnung, Einheit, Gebäude oder Etage bzw. eine zusätzliche Adresszeile. Senden Sie das Feld nur, wenn Sie die Angabe haben.address.cityist Stadt, Vorort, Distrikt, Ortschaft oder Stadtteil.address.regionist Bundesstaat, Provinz, Region oder Ort.address.postal_codeist die Postleitzahl.- Adressbasierte Datenbankdienste erfordern mindestens Straßenadresse und Postleitzahl. Anfragen, die vor der Abfrage der Quelle abgelehnt werden, werden nicht berechnet.
So rufen Sie den Dienst auf
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=PHL" \
-F "services=phl_residential" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="PHL",
services=["phl_residential"],
consent=True,
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "PHL",
services: ["phl_residential"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "PHL",
Services: didit.Some([]string{"phl_residential"}),
Consent: didit.Bool(true),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("PHL")
.services(List.of("phl_residential"))
.consent(true)
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'PHL',
'services' => ['phl_residential'],
'consent' => true,
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "PHL",
services: ["phl_residential"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "PHL",
Services = new string[] { "phl_residential" },
Consent = true,
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
Jeder erfolgreiche Aufruf liefert HTTP 200 zurück. Das Feld outcome_code zeigt, was tatsächlich passiert ist. So lässt sich etwa ein echter biometrischer Nichtabgleich (BIOMETRIC_NO_MATCH) von einem Selfie unterscheiden, das nicht gelesen werden konnte (BIOMETRIC_IMAGE_UNUSABLE). Der angezeigte status ist der Standardstatus der Funktion. Ihre konfigurierten Aktionen für Teilübereinstimmung / keine Übereinstimmung können ihn überschreiben.MATCH: Das Register hat die Identität bestätigt, und alle geprüften Felder stimmen überein.{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "PHL",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "phl_residential",
"service_name": "Philippines Residential",
"source_data": {
"date_of_birth": "1990-01-01",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match"
}
}
]
}
PARTIAL_MATCH: Mindestens eines der Felder, die dieser Dienst vergleicht, stimmt nicht vollständig überein. In diesem Beispiel stimmt full_name nicht überein, während date_of_birth übereinstimmt.{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "PHL",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "phl_residential",
"service_name": "Philippines Residential",
"source_data": {
"date_of_birth": "1990-01-01",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": false
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match"
}
}
]
}
NO_MATCH: Das Register hat für die übermittelten Daten keine Übereinstimmung gefunden.{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "PHL",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "phl_residential",
"service_name": "Philippines Residential",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match"
}
}
]
}
Zurückgegebene Daten
Welche Felder insource_data angezeigt werden, hängt davon ab, was das Register zurückgibt. Das generierte Beispiel für phl_residential dokumentiert derzeit folgende normalisierte Struktur:
date_of_birthname_match_score
Preise & SLAs
Abfragen für Wohnadressen auf den Philippinen werden nur abgerechnet, wenn Didit von der Validierungsquelle ein eindeutiges Ergebnis erhält.- Preis pro Abfrage: $0.59 USD.
- Abrechnung: pro erfolgreicher Abfrage. Sie werden nicht belastet, wenn das Register nicht erreichbar ist, wenn Pflichtfelder fehlen oder wenn die Anfrage abgelehnt wird, bevor sie die Quelle erreicht.
- Latenz: typischerweise p95 < 2 s.
- Verfügbarkeit: 99.9% pro Quartal auf Seiten von Didit; die Verfügbarkeit der nachgelagerten Quelle variiert je nach Land und Datensatz.
Weiterlesen
Zuletzt geändert am 7. November 2026